
QGIS Application - Bug report #9705

Rotation of the label can not be only up to half-turn

2014-03-03 11:12 PM - mahito noda

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18268

Description

I set a label rotation that I was set to 270 degrees rotation of the label. 

However, as a result of the 180 ° rotation the imagination I obtained. 

Next, it is set to -90 degrees or 90 degrees, it becomes the same result. 

Therefore, when we rotated every 10 degrees, it was found that the range of rotation is -90 to 90.

Since the rotation range becomes 180 degrees in 90 -90, can only half a revolution. 

In order to rotate 360 degrees the label, since it is necessary in the range 360, 180 should be correct -180 description.

History

#1 - 2014-03-04 12:28 AM - Giovanni Manghi

- Category set to Labelling

#2 - 2014-03-08 03:09 PM - Larry Shaffer

- Assignee set to Larry Shaffer

Hi Mahito,

I am sorry, but I do not understand your bug description. Do you mean you want to rotate labels upside-down, i.e. the full 360 degrees?

If so, set Show upside-down labels to 'when rotation defined' or 'always', instead of 'never'. The setting is under Vector Layer Properties -> Labels ->

Rendering. The default is 'never' which keeps the rotated label always upright and legible.

#3 - 2014-03-11 12:20 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2014-03-19 01:45 AM - mahito noda

Hi Larry.

As you say, I set Show upside-down labels to 'when rotation defined'. 

Then, the result intended by my was obtained.

In the Japanese translation, "Show upside-down labels" had been translated to as "displayed vertically label(ラベルを縦書きで表示する)". 

Thanks to your advice, I was able to find.
#5 - 2014-05-28 06:26 PM - Larry Shaffer

- Status changed from Feedback to Closed
